Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.rico.engine.effect.camtotex
Class Mirror

    java.lang.Object
      de.rico.engine.geometry.AbstractMesh
          de.rico.engine.geometry.MeshDL
              de.rico.engine.effect.camtotex.Mirror

Deprecated. Does not have correct functionality yet.

    @Deprecated
    public class Mirror

extends MeshDL

This class represents a mirror like mesh.

Author:
  Frank Bruns

Constructor Summary
`Mirror(MeshContainer meshCont, ParticleEffectContainer effectCont, int moniWidth, int moniHeight, int texRes, int updtInterv)` Deprecated. Creates a new mirror like mesh.

Method Summary
`void` | `update(long elapsedTime)` Deprecated. Updates the texture for the mirror according to the specified timer interval.

Methods inherited from class de.rico.engine.geometry.MeshDL
`addFace, destroy, draw, finishModel, getDisplayListId, getFaces, getFacesTransformed, specializedDraw`

Methods inherited from class de.rico.engine.geometry.AbstractMesh
`addShader, drawShaders, getBoundingVolume, getHeightOffset, getMaterial, getMouseOverMesh, getName, getPosition, getPosX, getPosY, getPosZ, getRotation, getRotX, getRotY, getRotZ, getScaleX, getScaleY, getScaleZ, getTex0Path, getTex1Path, getText0XMovement, getText0YMovement, getText1XMovement, getText1YMovement, getTexUnit0, getTexUnit1, isCollidable, isDrawingEnabled, isEnabledOcclusionCulling, isMouseOverMesh, isOccluded, isPickable, isShadowEnabled, isSmoothShaded, isTex0Flipped, isTex0MipMapped, isTex0Rotated, isTex1Flipped, isTex1MipMapped, isTex1Rotated, moveBackwardsGlobal, moveBackwardsLocal, moveDownGlobal, moveForwardGlobal, moveForwardLocal, moveLeftGlobal, moveLeftLocal, moveRightGlobal, moveRightLocal, moveTo, moveUpGlobal, performTransformations, rotateDown, rotateLeft, rotateRight, rotateUp, scale, setAttachedGround, setBlendDestFactor, setBlendFunction, setBlendSourceFactor, setCollidable, setDrawingEnabled, setEnabledOcclusionCulling, setEnvironmentMap, setMaterial, setName, setPickable, setPosition, setPosition, setPosX, setPosY, setPosZ, setRotation, setRotation, setRotX, setRotY, setRotZ, setScaleX, setScaleY, setScaleZ, setShadowEnabled, setShowBoundingVolume, setTex0Movement, setTex0TexEnvirMode, setTex0XMovement, setTex0YMovement, setTex1Movement, setTex1TexEnvirMode, setTex1XMovement, setTex1YMovement, setTexUnit0, setTexUnit0, setTexUnit1, setTexUnit1, setTransparency, showWireFrame, translateX, translateY, translateZ`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Mirror

    public Mirror(MeshContainer meshCont,
                  ParticleEffectContainer effectCont,
                  int moniWidth,
                  int moniHeight,
                  int texRes,
                  int updtInterv)

  Deprecated.
  Creates a new mirror like mesh.

  Parameters:
    `meshCont` - mesh container with meshes to reflect
    `effectCont` - particle effect container with effects to reflect
    `moniWidth` - width of the monitor
    `moniHeight` - height of the monitor
    `texRes` - texture resolution (e.g. 128, 256, 512)
    `updtInterv` - time (in miliseconds) until the mirror get updated

Method Detail

### update

    public void update(long elapsedTime)

  Deprecated.
  Updates the texture for the mirror according to the specified timer interval.

  Overrides:
    `update` in class `MeshDL`
  Parameters:
    `elapsedTime` - time between two frames

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD